### Hierarchy

- OwnPropsOfExpandPanel
  - StatePropsOfExpandPanel

## Index

### Properties

- expanded
- index
- path
- renderers
- schema
- uischema

### Methods

- handleExpansion

## Properties

### expanded

expanded: boolean

- Defined in layouts/MaterialArrayLayout.tsx:194

### index

index: number

- Defined in layouts/MaterialArrayLayout.tsx:190

### path

path: string

- Defined in layouts/MaterialArrayLayout.tsx:191

### Optional renderers

renderers: JsonFormsRendererRegistryEntry[]

- Defined in layouts/MaterialArrayLayout.tsx:195

### schema

schema: JsonSchema

- Defined in layouts/MaterialArrayLayout.tsx:193

### uischema

uischema: ControlElement

- Defined in layouts/MaterialArrayLayout.tsx:192

## Methods

### handleExpansion

- handleExpansion(panel: string): function

- - Defined in layouts/MaterialArrayLayout.tsx:196

  #### Parameters

  - ##### panel: string

  #### Returns function

  - - (event: any, expanded: boolean): void

    - #### Parameters

      - ##### event: any

      - ##### expanded: boolean

      #### Returns void

Generated using TypeDoc